paso::SharedComponents Struct Reference

`#include <SharedComponents.h>`

## Public Member Functions

| SharedComponents (dim_t localLength, const std::vector< int > &neighbours, const index_t *sharedArray, const std::vector< index_t > &offset, index_t m=1, index_t b=0)
| ~SharedComponents ()

## Public Attributes

dim_t | local_length
| local array length shared More...
std::vector< int > | neighbour
| list of the processors sharing values with this processor More...
std::vector< index_t > | offsetInShared
index_t * | shared
dim_t | numSharedComponents
| = offsetInShared[numNeighbours] More...

## Constructor & Destructor Documentation

## SharedComponents()

paso::SharedComponents::SharedComponents | ( | dim_t | localLength,
|  | const std::vector< int > & | neighbours,
|  | const index_t * | sharedArray,
|  | const std::vector< index_t > & | offset,
|  | index_t | m = `1`,
|  | index_t | b = `0`
| ) |  |

inline

References offsetInShared, and shared.

## ~SharedComponents()

paso::SharedComponents::~SharedComponents | ( |  | ) |

inline

## Member Data Documentation

## local_length

dim_t paso::SharedComponents::local_length

local array length shared

## neighbour

std::vector<int> paso::SharedComponents::neighbour

list of the processors sharing values with this processor

## numSharedComponents

dim_t paso::SharedComponents::numSharedComponents

= offsetInShared[numNeighbours]

## offsetInShared

std::vector<index_t> paso::SharedComponents::offsetInShared

offsetInShared[i] points to the first input value in array shared for processor i. Has length numNeighbors+1

Referenced by SharedComponents().

## shared

index_t* paso::SharedComponents::shared

list of the (local) components which are shared with other processors. Has length numSharedComponents

Referenced by SharedComponents().

The documentation for this struct was generated from the following file:

- SharedComponents.h